
package de.ivu.elect.business.niederschrift.boundary;

import java.io.Serializable;
import java.util.Map;

import org.apache.deltaspike.core.api.scope.ViewAccessScoped;

import de.ivu.elect.business.niederschrift.entity.NiederschriftArt;
import de.ivu.elect.business.niederschrift.entity.NiederschriftStatus;

@ViewAccessScoped
public class NiederschriftStatusuebersichtViewAccessStore implements Serializable {

  private Map<NiederschriftArt, Map<NiederschriftStatus, Map<String, Long>>> anzahlPerNiederschriftStatus;

  public Map<NiederschriftArt, Map<NiederschriftStatus, Map<String, Long>>> getAnzahlPerNiederschriftStatus() {
    return anzahlPerNiederschriftStatus;
  }

  public void setAnzahlPerNiederschriftStatus(
      Map<NiederschriftArt, Map<NiederschriftStatus, Map<String, Long>>> anzahlPerNiederschriftStatus) {
    this.anzahlPerNiederschriftStatus = anzahlPerNiederschriftStatus;
  }

  public boolean isAnzahlPerNiederschriftStatusSelected() {
    return anzahlPerNiederschriftStatus != null;
  }

  public void reset() {
    anzahlPerNiederschriftStatus = null;
  }
}
